• Русский
  • VSphereClusterIdentity [infrastructure.cluster.x-k8s.io/v1beta1]

    VSphereClusterIdentity — это учетные данные уровня кластера, которые позволяют нескольким объектам VSphereCluster в разных пространствах имен совместно использовать один набор учетных данных vCenter, с ограничением через селекторы пространств имен. Это альтернатива прямой ссылке на Secret из VSphereCluster.spec.identityRef.

    Рабочие процессы, описанные в этом руководстве, используют identityRef.kind: Secret и создают учетные данные для каждого workload cluster; этот ресурс приведен здесь для полноты картины для операторов, которым нужно совместно использовать учетные данные между кластерами.

    Description
    VSphereClusterIdentity defines the account to be used for reconciling clusters Deprecated: This type will be removed in one of the next releases.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject
    statusobject

    .spec

    Type
    object
    PropertyTypeDescription
    allowedNamespacesobject

    AllowedNamespaces is used to identify which namespaces are allowed to use this account. Namespaces can be selected with a label selector. If this object is nil, no namespaces will be allowed

    secretNamestring

    SecretName references a Secret inside the controller namespace with the credentials to use

    .spec.allowedNamespaces

    Description
    AllowedNamespaces is used to identify which namespaces are allowed to use this account. Namespaces can be selected with a label selector. If this object is nil, no namespaces will be allowed
    Type
    object
    PropertyTypeDescription
    selectorobject

    Selector is a standard Kubernetes LabelSelector. A label query over a set of resources.

    .spec.allowedNamespaces.selector

    Description
    Selector is a standard Kubernetes LabelSelector. A label query over a set of resources.
    Type
    object
    PropertyTypeDescription
    matchExpressionsarray

    matchExpressions is a list of label selector requirements. The requirements are ANDed.

    matchLabelsobject

    matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.

    .spec.allowedNamespaces.selector.matchExpressions

    Description
    matchExpressions is a list of label selector requirements. The requirements are ANDed.
    Type
    array

    .spec.allowedNamespaces.selector.matchExpressions[]

    Description
    A label selector requirement is a selector that contains values, a key, and an operator that relates the key and values.
    Type
    object
    Required
    keyoperator
    PropertyTypeDescription
    keystring

    key is the label key that the selector applies to.

    operatorstring

    operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.

    valuesarray

    values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.

    .spec.allowedNamespaces.selector.matchExpressions[].values

    Description
    values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
    Type
    array

    .spec.allowedNamespaces.selector.matchExpressions[].values[]

    Type
    string

    .spec.allowedNamespaces.selector.matchLabels

    Description
    matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
    Type
    object

    .status

    Type
    object
    PropertyTypeDescription
    conditionsarray

    Conditions defines current service state of the VSphereClusterIdentity.

    readyboolean

    .status.conditions

    Description
    Conditions defines current service state of the VSphereClusterIdentity.
    Type
    array

    .status.conditions[]

    Description
    Condition defines an observation of a Cluster API resource operational state.
    Type
    object
    Required
    statustype
    PropertyTypeDescription
    lastTransitionTimestring

    Last time the condition transitioned from one status to another. This should be when the underlying condition changed. If that is not known, then using the time when the API field changed is acceptable.

    messagestring

    A human readable message indicating details about the transition. This field may be empty.

    reasonstring

    The reason for the condition's last transition in CamelCase. The specific API may choose whether or not this field is considered a guaranteed API. This field may not be empty.

    severitystring

    Severity provides an explicit classification of Reason code, so the users or machines can immediately understand the current situation and act accordingly. The Severity field MUST be set only when Status=False.

    statusstring

    Status of the condition, one of True, False, Unknown.

    typestring

    Type of condition in CamelCase or in foo.example.com/CamelCase. Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be useful (see .node.status.conditions), the ability to deconflict is important.

    API Endpoints

    The following API endpoints are available:

    • /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vsphereclusteridentities
      • DELETE: delete collection of VSphereClusterIdentity
      • GET: list objects of kind VSphereClusterIdentity
      • POST: create a new VSphereClusterIdentity
    • /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vsphereclusteridentities/{name}
      • DELETE: delete the specified VSphereClusterIdentity
      • GET: read the specified VSphereClusterIdentity
      • PATCH: partially update the specified VSphereClusterIdentity
      • PUT: replace the specified VSphereClusterIdentity
    • /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vsphereclusteridentities/{name}/status
      • GET: read status of the specified VSphereClusterIdentity
      • PATCH: partially update status of the specified VSphereClusterIdentity
      • PUT: replace status of the specified VSphereClusterIdentity

    /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vsphereclusteridentities

    HTTP method
    DELETE
    Description
    delete collection of VSphereClusterIdentity
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind VSphereClusterIdentity
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereClusterIdentityList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new VSphereClusterIdentity
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVSphereClusterIdentity schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereClusterIdentity schema
    201 - CreatedVSphereClusterIdentity schema
    202 - AcceptedVSphereClusterIdentity schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vsphereclusteridentities/{name}

    HTTP method
    DELETE
    Description
    delete the specified VSphereClusterIdentity
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified VSphereClusterIdentity
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereClusterIdentity schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified VSphereClusterIdentity
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereClusterIdentity schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified VSphereClusterIdentity
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVSphereClusterIdentity schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereClusterIdentity schema
    201 - CreatedVSphereClusterIdentity schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vsphereclusteridentities/{name}/status

    HTTP method
    GET
    Description
    read status of the specified VSphereClusterIdentity
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereClusterIdentity schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified VSphereClusterIdentity
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereClusterIdentity schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified VSphereClusterIdentity
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVSphereClusterIdentity schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereClusterIdentity schema
    201 - CreatedVSphereClusterIdentity schema
    401 - UnauthorizedEmpty